Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\SPI\Search\Field Class Reference
Inheritance diagram for eZ\Publish\SPI\Search\Field:

## Public Member Functions
| __construct ($name, $value, FieldType $type)
| Construct from name and value. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Protected Attributes
| $name
| $value
| $type

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 18 of file SPI/Search/Field.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\SPI\Search\Field::__construct | ( |  | $name,
|  |  | $value,
|  | FieldType | $type
| ) |  |

Construct from name and value.

Parameters

  string | $name |
  mixed | $value |
  FieldType | $type |

Definition at line 50 of file SPI/Search/Field.php.

References eZ\Publish\SPI\Search\Field\$name, eZ\Publish\SPI\Search\Field\$type, and eZ\Publish\SPI\Search\Field\$value.

## Member Data Documentation

## ◆ $name

eZ\Publish\SPI\Search\Field::$name
| protected

Definition at line 25 of file SPI/Search/Field.php.

Referenced by eZ\Publish\SPI\Search\Field\__construct().

## ◆ $type

eZ\Publish\SPI\Search\Field::$type
| protected

Definition at line 41 of file SPI/Search/Field.php.

Referenced by eZ\Publish\SPI\Search\Field\__construct().

## ◆ $value

eZ\Publish\SPI\Search\Field::$value
| protected

Definition at line 34 of file SPI/Search/Field.php.

Referenced by eZ\Publish\SPI\Search\Field\__construct().

The documentation for this class was generated from the following file:

- SPI/Search/Field.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.